<template>
	<div class="all">
		<div style="margin-bottom: 30px;">
				<div class="initia_title">工作日志积分</div>
				<div class="initia_title_1">
					1、启用后，在钉钉发布工作日志，系统自动按“日志积分规则”奖分
					<br />
					2、日志名称必须与“钉钉日志模板名称”一致，否则奖分不会生效
					<br />
					3、日志支持每月、每周、每次汇报，可自行根据需要设置“日志积分规则
				</div>
				<div class="flex-box-end" style="margin-top: 20px;">
					<el-button size="small" plain @click="add()">购买</el-button>
				</div>
			</div>
	</div>
</template>

<script>
import openLink from 'dingtalk-jsapi/api/biz/util/openLink';
export default {
	data() {
		return {
			loading: false,
		};
	},
	watch:{
	},
	mounted() {
		let s={'name':'喜喜',age:'18'}
		let arr=Object.create(s);
		// arr.name='喜喜2';
		console.log(s,arr)
	},
	methods: {
		init() {
			this.$dd.biz.util.openSlidePanel({
			    url: 'https://h5.dingtalk.com/open-market/share.html?shareGoodsCode=D34E5A30A9AC7FC6327AB5E6D2D145418457E59F16C3FC969F1A50AEF2E5E320588012470F1AB045&token=d37751d45abad15178adf60f936d7c28&shareUid=C5EB7B5C85793F3D909B2AC4771E12D7', //打开侧边栏的url
			    title: 'title', //侧边栏顶部标题
			    onSuccess : function(result) {

			    },
			    onFail : function() {

			    }
			})
		 },
		 add(){
			this.$axios('get', 'api/order/goods/sku', { callback: 'https://test-ding.g107.com/#/index', goods_code: 'DT_GOODS_881607043109331' }).then(res => {
				
			});
		 }
	}
};
</script>
<style scoped lang="scss">
.all{
	padding: 20px;
}
.widthInput {
	width: 150px;
}
.title {
	margin: 10px 0;
	margin-top: 0;
	font-size: 14px;
	font-weight: 700;
	padding-left: 13px;
}
.initia_title {
	font-size: 20px;
	color: rgba(48, 49, 51, 1);
	font-family: PingFangSC-Regular;
}
.initia_title_1 {
	color: #e6a23c;
	font-size: 14px;
	margin-top: 10px;
}
.lookQrcode {
	color: #606266;
	cursor: pointer;
	transition: all 0.3s;
	font-weight: 700;
}
.lookQrcode:hover {
	color: #2490fd;
}
.name {
	max-width: 200px;
	margin-right: 10px;
}
</style>
